staqlydocs
REST APIAPI referenceChannels

What a connect link's page shows

What a connect link's page shows (no credentials; the token is the key; 60 per 10 minutes per address)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/connect-links/{token}

Path Parameters

token*string

The connect link's token

Response Body

OK

application/json
  1. response
workspace*string

The workspace's name

note*string
providers*array<>
expires_at*string
Formatdate-time
uses_left*integer
curl -X GET 'https://staqly.example.com/v1/connect-links/string'
{  "workspace": "string",  "note": "string",  "providers": [    {      "id": "custom",      "name": "string",      "auth": "oauth2",      "status": "available",      "limits": {        "max_chars": 0,        "max_media": 0,        "media_kinds": [          "image"        ],        "needs_title": true,        "needs_media": true,        "needs_link": true,        "links": "keep",        "link_modes": [          "keep"        ],        "image": {          "max_bytes": 0,          "formats": [            "string"          ],          "min_ratio": 0,          "max_ratio": 0,          "min_width": 0,          "max_pixels": 0,          "note": "string"        }      },      "credential_fields": [        {          "key": "string",          "label": "string",          "help": "string",          "kind": "text",          "max_length": 0,          "max_items": 0,          "options": [            {              "value": "string",              "label": "string"            }          ],          "required": true,          "default": "string",          "placeholder": "string",          "when": {            "key": "string",            "value": "string"          }        }      ],      "settings_fields": [        {          "key": "string",          "label": "string",          "help": "string",          "kind": "text",          "max_length": 0,          "max_items": 0,          "options": [            {              "value": "string",              "label": "string"            }          ],          "required": true,          "default": "string",          "placeholder": "string",          "when": {            "key": "string",            "value": "string"          }        }      ],      "app_configured": true,      "docs_url": "http://example.com"    }  ],  "expires_at": "2019-08-24T14:15:22Z",  "uses_left": 0}